kare (3.0.0.0-0k4.6) nile; urgency=medium

  * BUG:
    #363501 【外设适配】【V11-beta1-0601】【Kare】指纹设备驱动安装失败，生物特征工具未发现设备
    #387507 【外设兼容】【KARE】【捷宇信息终端M11ZXG】应用服务启动失败，网页功能不能正常使用
    #389583 【应用兼容】【Kare】【V10SP1不存在】【水印客户端】安装后没有水印
    #388441 【外设兼容】【KARE】【普天读卡器CP IDMR02/ZW I】驱动安装失败
    #338305 【软件适配】【V11-RC8-X86】信创运维小助手无法启动
    #394807 【应用兼容】【KARE】【Another Redis Desktop Manager】安装成功后应用无法打开
    #385755 【应用兼容】【KARE】【福昕ofd版式办公套件】【V10 SP1不存在】插入视频，点击音频后弹出提示点击确定后无反应
    #365867 【外设适配】【V11-beta1-0601】纽曼电话录音缓冲完成后，点击播放无反应
  * 需求号:无
  * 其他改动说明:
      1. 补充remove字段
      2. 解决容器内system bus起不来的问题
      3. 增加dkms包的判断方式
      4. 增加桌面监听脚本
      5. 修改kare -L 显示内容
      6. 打印机新方案，cups使用系统的，打印时系统cups调用容器内的filter，安装打印机驱动时，ppd安装到/opt/share/ppd，filter脚本位于/opt/kare/usr/lib/cups/filter cups mime位于/etc/cups
      7. 龙芯构建补充包列表
      8. dbus安全整改
      9. 解决因为软件包名中带有括号等特殊字符导致安装失败的问题
      10. 生物认证驱动适配

  * 其他改动影响域:软件包的安装运行

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Mon, 11 Aug 2025 10:50:24 +0800

kare (3.0.0.0-0k4.5) v11-2503; urgency=medium

  * BUG:
    #388213 【外设兼容】【kare】【高拍仪】【sp1不存在】【CZUR成者-ET18】安装成者采编王后，应用无法打开，提示报错信息
    #388441 【外设兼容】【KARE】【普天读卡器CP IDMR02/ZW I】驱动安装失败
    #350342 【应用兼容】【kare】【讯飞办公助手】【V10 SP1不存在】点击讯飞写作，提示无法打开，请安装浏览器后重试，但是实际上打开了浏览器，但是没有讯飞写作的网页
    #386169 【外设兼容】【kare】【sp1不存在】【新良田高拍仪S520】驱动包在安装器显示及命令安装后都显示为默认图标
    #388113 【KARE】商店安装htop应用，首次打开应用频繁打开关闭终端，且无法使用系统功能， 只能强制重启恢复
  * 需求号:无
  * 其他改动说明:
			1. 解决kare安装未签名软件没有弹窗的问题
      2. 解决pixmaps部分目录为拷贝问题
      3. 解决var目录挂载错误，导致dpkg配置更新异常
      4. 解决virtualbox-qt安装问题
      5. 修改服务启动脚本，saned服务通过xdg/autostart以普通用户权限启动

  * 其他改动影响域:软件包的安装运行

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Mon, 28 Jul 2025 16:37:18 +0800

kare (3.0.0.0-0k4.4) v11-2503; urgency=medium

  * BUG:
    #372577 【安装控制】卸载黑白名单管控针对软件商店卸载不生效
    #370471 【安装控制】开启安装黑白名单管控，软件商店下载软件不符合管控策略
    #383777 【应用兼容】【KARE】【OceanBase Developer Center】安装软件包，软件无法打开，桌面链接显示无法正常工作
    #380827 【外设适配】【V11-beta2-0701】添加smb共享打印机失败
    #378799 【应用兼容】【kare】【sp1不存在】【龙芯浏览器】设置为默认浏览器，点击无效
    #383205 【需求 47064】【龙芯】【KARE】无法启动安装到shadow环境的应用
    #381715 【冒烟1级】【最小】【软件商店客户端】软件商店下载的应用无法打开
    #363607 【外设适配】【V11-beta1-0601】森锐五合一设备读取SIM失败

  * 需求号:无
  * 其他改动说明:
			1. 解决终端应用的运行问题
      2. 解决postinst软连接问题
      3. 解决因tryExec导致应用无法运行问题
      4. 解决多Exec字段问题
      5. 适配dkms通过配置文件拷贝文件

  * 其他改动影响域:无

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Thu, 17 Jul 2025 16:24:28 +0800

kare (3.0.0.0-0k4.3) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
			1. 修改kare应用运行目录

  * 其他改动影响域:无

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Tue, 08 Jul 2025 20:01:33 +0800

kare (3.0.0.0-0k4.2) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
			1. 修改rules文件解决龙芯架构编译不通过的问题

  * 其他改动影响域:无

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Fri, 04 Jul 2025 17:59:59 +0800

kare (3.0.0.0-0k4.1) v11-2503; urgency=medium

  * BUG:
    #376003 【系统进程】切换strict模式进系统后sync-cups-conf进程长时间占用CPU，请优化
    #374595 【系统启动】开机启动过程中kare-Agent不应该放在graphical.target之前
    #363487 【外设适配】【V11-beta1-0601】枫林高拍仪软件拍摄tiff格式图片无预览缩略图
    #364727 【麒麟管家】【百宝箱】磁盘使用情况分析器安装失败
    #364815 【麒麟管家】【百宝箱】网络数据包抓取工具安装失败
    #364823 【麒麟管家】【百宝箱】网络连通性检测工具安装失败
    #365167 【麒麟管家】【百宝箱】IP冲突检测工具一直在测试中，无法弹出结果
    #365543 【麒麟管家】【百宝箱】网络路由跟踪工具无输出结果
    #365663 【麒麟管家】【百宝箱】网络带宽测试工具无法使用
    #376431 【应用兼容】【KARE】【virtualbox】无法安装
    #363731 【外设适配】【fixed】【V11-beta1-0601】【KARE】绘王手写板H640P，驱动安装失败
  * 需求号:
      #47064 全架构支持
  * 其他改动说明:
			1. tini构建拷贝，运行参数替换
      2. udev规则RUN替换
      3. 服务位于lightdm.service 之后启动
      4. 解决龙芯tini无运行权限问题
      5. kare -L增加merge层输出
      6. v10sp1环境更新libcupsfilters1到高版本
      7. 更新kaiming需要的共享目
      8. 适配命令行应用，增加dbus日志更新接口
      9. 基础环境fcitx替换 cups替换

  * 其他改动影响域:软件包运行，服务启动，开机时间

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Fri, 04 Jul 2025 16:37:54 +0800

kare (3.0.0.0-0k3.3) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
			1. 解决360浏览器安装失败的问题

  * 其他改动影响域:软件包安装

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Thu, 26 Jun 2025 15:25:17 +0800
 
kare (3.0.0.0-0k3.2) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
			1. 开机时间调优

  * 其他改动影响域:开机时间

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Tue, 24 Jun 2025 22:44:41 +0800

kare (3.0.0.0-0k3.1) v11-2503; urgency=medium

  * BUG:
			#364823	【麒麟管家】【百宝箱】网络连通性检测工具安装失败
  * 需求号:
        #47183 KARE向用户和开发者提供完善和充分的帮助手册
  * 其他改动说明:
			1. 完成v10、v10sp1base 构建使用配置文件
			2. 白名单配置文件化， 修改base 默认存储目录
			3. 容器添加CAP_SYS_RAWIO能力，kare -L 输出所有文件
			4. 修改容器内etc/dkms目录的权限
			5. Exec字段保留，不修改为/usr/bin下默认路径
			6. 在容器环境中增加service程序的包装脚本，拦截重启cups的请求并转为重启系统的cups
			7. 扩充h5文件类型

  * 其他改动影响域:涉及打印子系统的运行，软件包的安装、运行

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Tue, 24 Jun 2025 22:03:25 +0800

kare (3.0.0.0-0k2.8) v11-2503; urgency=medium

  * BUG:
      #361539 【最小】【冒烟1级】【关机】关机过程很慢
  * 需求号:无
  * 其他改动说明:无

  * 其他改动影响域:涉及打印子系统的运行，系统关机

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Thu, 05 Jun 2025 17:01:49 +0800

kare (3.0.0.0-0k2.7) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 解决平台编译报错

  * 其他改动影响域:涉及打印子系统的运行

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Sun, 01 Jun 2025 14:53:56 +0800

kare (3.0.0.0-0k2.6) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. start-drivers 检查是否位于试用系统；安装后enable kare-base-config-copy.service服务

  * 其他改动影响域:涉及打印子系统的运行

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Sat, 31 May 2025 17:40:58 +0800

kare (3.0.0.0-0k2.5) v11-2503; urgency=medium

  * BUG:
			#356629 【需求 47061】【外设兼容】【得力DP25N打印机】自动安装打印机提示没有deli-DP25N的打印机驱动程序，但源里有对应的包
			#356357 【外设兼容】【得力DP25N打印机】得力deli-printer-a113驱动安装失败
  * 需求号:无
  * 其他改动说明:
      1. 修改kare -l的输出格式
      2. 解决v10sp1基础预继承之后没有用户配置的问题
			3. 同步cups配置信息的脚本只需要启动一次

  * 其他改动影响域:涉及兼容环境构建，软件包信息输出，打印子系统的运行

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Fri, 30 May 2025 17:46:23 +0800

kare (3.0.0.0-0k2.4) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 去除 v10sp1Driver 安装时构建
 
  * 其他改动影响域:涉及安装时携带打印子系统

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Tue, 27 May 2025 20:26:24 +0800

kare (3.0.0.0-0k2.3) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 补充cups依赖包

  * 其他改动影响域:涉及兼容环境构建

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Tue, 27 May 2025 09:16:01 +0800

kare (3.0.0.0-0k2.2) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. cups自包含

  * 其他改动影响域:涉及兼容环境构建

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Mon, 26 May 2025 21:14:40 +0800

kare (3.0.0.0-0k2.1) v11-2503; urgency=medium

  * BUG:
      #353136 【外设兼容】【奔图M7105DN打印机】kare安装驱动包提示安装失败，实际已安装成功
      #352326 【应用兼容】【360压缩】浏览文件/打开文件/解压缩到等窗口内文字显示为英文，且右上角视图功能按钮显示异常
      #351089 【应用兼容】【友虹版式阅读器】移动选项为x样式，点击后变为抓手
      #350390 【应用兼容】【Chromium 网页浏览器】应用无法安装成功
      #351667 【爱普生DS-1610】驱动安装后，系统自研扫描软件无法识别到扫描仪
      #351460 【GSS500扫描仪】驱动安装后，系统自研扫描软件无法识别到扫描仪
      #351385 【松下KV-SL1066】驱动安装后，系统自研扫描软件无法识别到扫描仪
      #351305 【AVF341扫描仪】驱动安装后，系统自研扫描软件无法识别到扫描仪
      #351298 【fi-7140Q扫描仪】驱动安装后，系统自研扫描软件无法识别到扫描仪
      #351368 已安装汉王驱动包后扫描应用无法识别到汉王扫描仪
      #351457 联想扫描工具应用无法打开
      #353298 【奔图M7105DN打印机】麒麟扫描无法识别到网络扫描仪
      #345768 【应用兼容】【永中office软件】【V10 SP1不存在】点击文件另存为中的卸载按钮，系统会卡死
      #351264 【外设兼容】【AVF341扫描仪】点击帮助后，应用主界面卡死无法操作
      #352712 【应用兼容】【迅雷】【V10 SP1不存在】当设置下载目录为U盘后，在已完成里无法打开文件和文件夹
  * 需求号:
      #47004 实现兼容环境的版本预集成，兼容应用可以直接集成与安装
  * 其他改动说明:
      1. 安装kare时构建v10sp1Driver容器的目录

  * 其他改动影响域:涉及兼容环境构建，软件包的安装、卸载、运行

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Mon, 26 May 2025 16:39:00 +0800

kare (3.0.0.0-0k1.3) v11-2503; urgency=medium

  * BUG:
      #346774 【应用兼容】【Google Chrome】字体显示奇怪 
      #348405 【应用兼容】【粤政易】切换英文、藏文，无法打开应用
      #348465 【应用兼容】【福昕高级PDF编辑器】【V10 SP1不存在】无法识别U盘里的文件
  * 需求号:无
  * 其他改动说明:
      1. 增加字体库
      2. 添加安全修改过的cups包到基础环境
      3. kare预集成功能

  * 其他改动影响域:涉及软件包的安装、卸载、运行

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Sat, 17 May 2025 15:58:18 +0800

kare (3.0.0.0-0k1.2) v11-2503; urgency=medium

  * BUG:
      #351970 【应用兼容】【微信】【运行验证】安装后需等待几分钟再启动应用，否则启动失败（V10SP1无问题）
      #351897 【应用兼容】【腾讯会议】应用安装后无法打开，命令打开存在权限问题报错
      #351716 【应用兼容】【向日葵】【SP1不存在】重启系统，向日葵应用无法打开
      #351024 【应用兼容】【中望CAD 2025】【安装卸载】卸载应用，提示软件卸载失败，但kare -L查看提示zwcad2025未安装
      #349209 【应用兼容】【Visual Studio Code】【安装卸载】开始菜单右键卸载，提示卸载失败
      #348899 【应用兼容】【奇安信可信浏览器先锋版】“将”、“置”、“关”、“复”文字显示异常
      #346750 【应用兼容】【Google Chrome】【UIUE】字体适配-应用不受系统管控
      #345711 【应用兼容】【UIUE】【360压缩】更换系统主题，应用不会变化
      #351968 【应用兼容】【运行验证】【永中office】永中表格2019、文字2019、简报2019、office2019无法打开
      #346073 【应用兼容】【永中office软件】【V10 SP1不存在】创建的文件显示的图标不正确
      #348825 【应用兼容】【obs-studio】应用安装失败
      #348423 【应用兼容】【粤政易】应用自动更新失败

  * 需求号:无
  * 其他改动说明:

  * 其他改动影响域:涉及软件包的安装、卸载、运行

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Fri, 16 May 2025 14:29:35 +0800

kare (3.0.0.0-0k1.1) v11-2503; urgency=medium

  * BUG:
      #345978 【应用兼容】【安装卸载】【360安全卫士】卸载应用提示失败
      #346985 【应用兼容】【腾讯文档】任务栏上的图标显示的是默认的图标，不是腾讯文档自己的图标
      #346739 【应用兼容】【Google Chrome】【OS交互】启动文管失败
      #346763 【应用兼容】【腾讯QQ】点击任务栏的QQ，右键选择退出，QQ关闭了，但是托盘处仍然显示QQ应用
  * 需求号:
      #46999 构建打印服务子系统，支持重点打印外设的主要功能
      #47000 构建扫描服务子系统，支持重点扫描外设的主要功能
      #47059 提供兼容能力，兼容V10SP1完成适配重点通用生态应用，涉及内核KO的应用除外
      #47060 提供兼容能力，兼容V10SP1完成适配项目生态核心应用，涉及内核KO的应用除外
      #47062 支持应用自更新场景下，当应用的更新版本通过商店发布时能成功安装
      #47065 KARE 日支持存放路径要求
  * 其他改动说明:
      1. dkms子系统支持
      2. 解决应用使用gtk原生文件选择对话框翻译不完整的问题
      3. 解决有道词典，蓝信等输入法无法使用的问题
      4. chroot安装完之后卸载掉overlay
      5. dbus安装进度值调整
      6. 添加CUPS共享打印机配置设置
      7. 同步主机密码
      8. 解决安装gsettings报错与rules文件卸载报错问题

  * 其他改动影响域:涉及软件包的安装、卸载、运行

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Wed, 07 May 2025 15:41:12 +0800

kare (3.0.0.0-0k1.0) v11-2503; urgency=medium

  * BUG:
      #345978 【应用兼容】【安装卸载】【360安全卫士】卸载应用提示失败
      #346985 【应用兼容】【腾讯文档】任务栏上的图标显示的是默认的图标，不是腾讯文档自己的图标
      #346739 【应用兼容】【Google Chrome】【OS交互】启动文管失败
      #346763 【应用兼容】【腾讯QQ】点击任务栏的QQ，右键选择退出，QQ关闭了，但是托盘处仍然显示QQ应用
  * 需求号:
      #46999 构建打印服务子系统，支持重点打印外设的主要功能
      #47000 构建扫描服务子系统，支持重点扫描外设的主要功能
      #47059 提供兼容能力，兼容V10SP1完成适配重点通用生态应用，涉及内核KO的应用除外
      #47060 提供兼容能力，兼容V10SP1完成适配项目生态核心应用，涉及内核KO的应用除外
      #47062 支持应用自更新场景下，当应用的更新版本通过商店发布时能成功安装
      #47065 KARE 日支持存放路径要求
  * 其他改动说明:
      1. dkms子系统支持
      2. 解决应用使用gtk原生文件选择对话框翻译不完整的问题
      3. 解决有道词典，蓝信等输入法无法使用的问题
      4. chroot安装完之后卸载掉overlay
      5. dbus安装进度值调整
      6. 添加CUPS共享打印机配置设置
      7. 同步主机密码
      8. 解决安装gsettings报错与rules文件卸载报错问题

  * 其他改动影响域:涉及软件包的安装、卸载、运行

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Wed, 07 May 2025 15:41:12 +0800

kare (3.0.0.0-0k0.2) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 修改安全接口调用为dbus而非pydbus
      2. 白名单增加卸载后删除相关文件处理
      3. kare预集成
      4. 解决文件对话框无法打开的问题
      5. shadow 环境下将/etc/dpkg/plugins置空
      6. overlay 只挂载一次

  * 其他改动影响域:涉及软件包的安装、卸载、运行

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Wed, 23 Apr 2025 18:14:04 +0800

kare (3.0.0.0-0k0.1) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 修改dbus接口调用命令参数

  * 其他改动影响域:涉及软件包的安装、卸载

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Mon, 14 Apr 2025 20:39:32 +0800

kare (3.0.0.0-0k0.0) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. kare重构
      2. 底层容器修改为crun
      3. 配置文件存储位置修改
      4. 日志文件存储修改
      5. kare包文件存储修改
      6. crun 入口修改，增加子进程监听机制
      7. 桌面图标覆盖问题
      8. 空格导致安装失败问题

  * 其他改动影响域:涉及软件包的编译、安装、卸载以及运行

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Mon, 14 Apr 2025 16:09:13 +0800

kare (2.4.0.0-0k0.12) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 编译依赖g++不指定版本号
      2. 触发安全编译

  * 其他改动影响域:涉及软件包的编译

 -- zhanglin <zhanglin@kylinos.cn>  Sat, 08 Feb 2025 14:52:24 +0800

kare (2.4.0.0-0k0.11) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 解决数科OFD安装失败的问题
      2. 协助安全在不可变系统中安装应用后手动给二进制打标记
      3. 触发安全编译

  * 其他改动影响域:涉及改动应用的安装运行

 -- zhanglin <zhanglin@kylinos.cn>  Sat, 08 Feb 2025 14:10:42 +0800

kare (2.4.0.0-0k0.10) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. TASK# 420615 [20250109-0097]-福建省检-跨版本升级-截图软件无法启动，命令启动没有任何信息输出
      2. 驱动容器不使用dbus代理
      3. 增加信号接口适配命令行程序
      4. 修改service中的错误字段
      5. 添加等待时间以确保打印机广播可用
      6. 通过序列号获取USB设备，支持添加多个打印机
      7. 修复漏洞
      8. 修改服务文件的启动方式
      9. 添加servicer文件
      10. 添加打印机插入触发添加打印机操作
      11. 添加驱动服务自启动
      12. 增加钉钉运行依赖
      13. 驱动服务自启动文件
      14. 修改驱动包的识别方式
      15. 补充saned的依赖
      16. 自动区分cups或sane
      17. 合并驱动容器
      18. 修改扫面议配置文件相关操作
      19. 驱动安装、Exec、卸载
      20. 增加输出日志，去除重启cupsd操作
      21. 处理360问题

  * 其他改动影响域:涉及改动应用的安装运行

 -- zhanglin <zhanglin@kylinos.cn>  Sun, 19 Jan 2025 15:00:46 +0800

kare (2.4.0.0-0k0.9) v11-2503; urgency=medium

  * BUG:
      #317175 【软件适配】【软件安装】软件包未打标签双击安装，安装失败
      #295803 【安装器】普通模式和运维模式下，安装deb包失败
      #304609 【软件商店】安装软件均提示003 [用例#1406097]

  * 需求号:无
  * 其他改动说明:
      1. 支持使用软件包名替代容器名运行
      2. 适配 todesk-host
      3. V11 支持 kare -S, 结果对标 dpkg -S
      4. 使用 org.freedesktop.login1 获取当前 active 用户信息
      5. 取消对 apt update 的运行结果检查
      6. karemanager 增加对链接文件的处理以及还原 etc 文件拷贝路径
      
  * 其他改动影响域:涉及改动应用的安装运行

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 13 Jan 2025 17:19:05 +0800

kare (2.4.0.0-0k0.8) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. TASK#407065 [20241224-0228]-地震局台网中心升级2403桌面操作系统 应用kare相关问题
      2. TASK#404277 [20241216-0082]-永定区两办-龙岩党政-跨大版本系统升级后用了一段时间后出现第三方出现无法正常打开的情况
      3. 【升级】备份删除第二阶段后，HP设备管理器无法打开的问题
  * 其他改动影响域:跨版本升级全场景

 -- zhanglin <zhanglin@kylinos.cn>  Tue, 07 Jan 2025 15:30:17 +0800

kare (2.4.0.0-0k0.7) v11-2503; urgency=medium

  * BUG:
      #317175 【软件适配】【软件安装】软件包未打标签双击安装，安装失败
      #316613 【KARE】不同兼容环境应用覆盖安装，开始菜单存在两个应用图标且均能启动
      #316777 【KARE】相同兼容环境覆盖安装应用，开始菜单显示两个应用且均可启动 [用例#1258867]
      #317075 【KARE】固定应用到任务栏后启动应用，任务栏存在2个应用图标

  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 03 Jan 2025 17:14:33 +0800

kare (2.4.0.0-0k0.6) v11-2503; urgency=medium

  * BUG:
      #311079 【软件适配】【向日葵】kare方式安装后无法启动
      #312073 【软件适配】【蓝信】kare方式安装后开始菜单两个异常图标
      #313947 【软件适配】【福昕OFD版式办公套件】安装后无法启动
      #313755 【软件适配】【通用问题】一些软件安装后自动生成的快捷方式无法使用
      #314419 【软件适配】【福昕OFD版式办公套件】桌面快捷方式双击无反应
      #313985 【软件适配】【360安全浏览器】浏览器内无法输入中文
      #313975 【软件适配】【蓝信】开始菜单存在俩启动项
      #313735 【软件适配】【360安全浏览器】安装后开始菜单搜索不到
      #305673 【软件适配】【友虹版式阅读器】重装软件后，快捷方式图标异常且无法启动
      #303379 【软件适配】 文件系统已满，占用异常

  * 需求号:无
  * 其他改动说明:
      1. 在 build 基础环境前 校验 overlay2
      2. kare 添加 inspect 命令，参数为应用名称
      3. 添加依赖，解决 vscode 安装失败，typora 运行失败，draw.io 字体异常, 有道词典安装失败
      4. 解决图标在软件的依赖包的情况
      5. 添加 PANSHI_APP_DESKTOP 变量解决部分图标问题
      6. 任务#409029 kare 运行时以当前 active 用户运行
      7. 图标文件处理添加 usr/local 目录，解决向日葵图标未拷贝出的问题
      8. 同步容器内外软件源
      9. 解决 update 有命中后仍然报错的问题
      
  * 其他改动影响域:涉及改动应用的安装运行

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 01 Jan 2025 10:50:26 +0800

kare (2.4.0.0-0k0.5) v11-2503; urgency=medium

  * BUG:
      #303057 【KARE】安装包所在路径中存在空格时安装失败
      #303557 【软件适配】【QQ】字体显示不对
      #303569 【软件适配】【微信】右键【在文件夹中显示】无反应
      #304395 【软件适配】【钉钉】 双击快捷方式报错
      #304445 【软件适配】【微信】消息发送时间和系统时间对不上
      #299621 【产品适配】【V11-2503-beta2】【KARE】kare环境安装wps-office后桌面生成的wps软件异常
      #305673 【软件适配】【友虹版式阅读器】重装软件后，快捷方式图标异常且无法启动
      #304403 【软件适配】【钉钉】 任务栏图标错误
      #304407 【软件适配】【钉钉】  把鼠标放置图片上，鼠标样式错误
      #304413 【软件适配】【钉钉】  引用图片后，图片变灰
      #306929 【软件适配】【钉钉】  鼠标显示为向右的手型
      #306993 【软件适配】【百度网盘】  软件内鼠标显示为向左的手型

  * 需求号:无
  * 其他改动说明:
      1. 解决报 None.service 错误
      2. 解决部分应用在桌面上生成desktop问题
      3. 增加360图标
      4. 解决由于文件权限、icon字段绝对路径，图标存储位置导致的无法正确显示图标的问题
      5. 增加飞书图标
      
  * 其他改动影响域:涉及改动应用的安装运行

 -- zhanglin <zhanglin@kylinos.cn>  Thu, 19 Dec 2024 10:46:02 +0800

kare (2.4.0.0-0k0.4) v11-2503; urgency=medium

  * BUG:
      #299751 【软件适配】【WPS】KARE方式安装失败，报依赖缺失
      #299415 【软件适配】【微信、QQ等】kare方式安装，启动无反应，命令行执行报“no terminal”
      #299601 【产品适配】【KARE】kare环境安装wps-office报错，无法拉取Depends字段换行的依赖
      #303379 【软件适配】文件系统已满，占用异常
  * 需求号:无
  * 其他改动说明:
      1. 适配 todesk、向日葵、大智慧
      2. 解决 desktop 文件存储在 data 内问题
      3. 处理 systemd 服务文件存在 WorkingDirectory 字段的情况，处理 krecipes 占位符问题
      
  * 其他改动影响域:涉及改动应用的安装运行

 -- zhanglin <zhanglin@kylinos.cn>  Thu, 12 Dec 2024 14:38:19 +0800

kare (2.4.0.0-0k0.3) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
    1. 解决向日葵在v11的安装问题
    2. 解决mime-supper阻塞问题
    3. 增加shadow构建，v11和ok2运行逻辑拆分
    4. 使用login1服务替代who
    5. 添加 ffdiaporama fsmeeting的依赖
    6. 获取不到username时，在tmp目录下写入日志
      
  * 其他改动影响域:影响kare在V11和ok2中的安装使用

 -- zhanglin <zhanglin@kylinos.cn>  Tue, 03 Dec 2024 17:36:14 +0800

kare (2.4.0.0-0k0.2) v11-2503; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
    1. 添加 cn.gzca.certmanager等依赖
    2. 解决安装中desktop 编码问题，Exec获取为空问题，软连接，swp隐藏文件问题
    3. 解决docker exec命令中带有//导致无法运行的问题
    4. 解决因执行命令缺少sh等导致应用无法启动的问题
    5. 解决因忽略chroot导致postinst启动服务的应用安装失败的问题
    6. 解决特殊情况占位符问题
    7. 补充systemd标准路径
    8. 解决systemd服务文件安装路径不规范的问题
    9. init.d 处理
    10. 解决service文件异常路径问题
    11. 解决kare处理软连接desktop阻塞问题
    12. 补充todesk运行依赖
    13. 优化过滤dbus服务方案
    14. 解决2503自动化测试中部分应用安装失败问题
    15. 解决drascula-spanish、drascula-german、drascula-french、drascula-italian运行失败的问题
    16. 解决终端应用启动命令传入不完整
    17. 添加LOGNAME环境变量，teg需要
    18. 补充依赖白名单
    19. 解决redisplus安装失败的问题
    20. 动态设置DISPLAY, v11补充PATH
      
  * 其他改动影响域:影响kare在V11中的安装使用

 -- zhanglin <zhanglin@kylinos.cn>  Sat, 23 Nov 2024 16:28:24 +0800

kare (2.4.0.0-0k0.1) v11-2501; urgency=medium

  * BUG:
    #282149 【模块需求测试】【需求 34573】【KARE】xpad应用自设置开机自启后重启系统未启动
    #282047 【模块需求测试】【需求 34573】【KARE】chromium浏览器安装失败
    #282043 【模块需求测试】【需求 34573】【KARE】wpsoffice安装后需执行kare -f后才可运行，建议可自动执行依赖修复命令
    #281889 【模块需求测试】【需求 34573】【KARE】audio-recorder启动失败
    #282725 【模块需求测试】【需求 34573】【KARE】构建环境、安装应用时dbus缺少参数

  * 需求号:无
  * 其他改动说明:
    1. 麒麟安装器加白
    2. 安装信号触发频率不随安装次数改变
    3. 处理不可变系统中的 xdg-open
    4. 处理 udev rules 文件
    5. 构建兼容环境时信号触发频率不随构建次数改变
    6. 解决不可变系统中安装失败问题
    7. 解决kare-apt.py依赖问题
      
  * 其他改动影响域:影响kare在不可变系统中的安装使用

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 15 Nov 2024 11:27:18 +0800

kare (2.4.0.1) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 更新dbus代理的二进制
      2. 解决不可变系统问题，解决部分包依赖冲突问题
      3. 解决pithos问题
      4. 解决V11终端应用起不来的问题
      5. 添加com.foxit.foxitpdfeditor、cn.gzca.certmanager等的依赖
      6. 处理不可变系统中的 xdg-open，修改html正则匹配
      7. 解决部分依赖冲突问题，解决不可变系统安装卸载问题
      
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 15 Nov 2024 14:03:54 +0800

kare (2.3.2.3-0k0.1) nile; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 解决终端应用在V11、不可变、wlcom系统上运行失败的原因
      
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 08 Nov 2024 11:39:25 +0800

kare (2.3.2.3) v101; urgency=medium

  * BUG:
      #282149【模块需求测试】【需求 34573】【KARE】xpad应用自设置开机自启后重启系统未启动
      #282047【模块需求测试】【需求 34573】【KARE】chromium浏览器安装失败
      #282043【模块需求测试】【需求 34573】【KARE】wpsoffice安装后需执行kare -f后才可运行，建议可自动执行依赖修复命令
      #281889【模块需求测试】【需求 34573】【KARE】audio-recorder启动失败
      #282725【模块需求测试】【需求 34573】【KARE】构建环境、安装应用时dbus缺少参数
  * 需求号:无
  * 其他改动说明:
      1. 解决无法 cd run path
      2. 因存在同名软件包不被允许安装时，安装信号增加提示
      
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 06 Nov 2024 16:39:43 +0800

kare (2.3.2.2) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 麒麟安装器加白
      2. 安装信号触发频率不随安装次数改变
      3. 处理不可变系统中的 xdg-open
      4. 处理 udev rules 文件
      5. 构建兼容环境时信号触发频率不随构建次数改变
      
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 28 Oct 2024 16:35:06 +0800

kare (2.3.2.1) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 安装接口添加信号,用于指示安装进度
      
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 21 Oct 2024 10:30:58 +0800

kare (2.3.2.0) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 宿主端shell核心逻辑代码化
      2. kare-apt.py依赖问题持续改进
      3. 新增支持龙芯架构
      4. 容器端添加XDG_SESSION_TYPE、SHELL环境变量
      5. 修改dbus proxy的--namespace传入字段
      6. 【升级】执行字段由/bin/bash触发
      
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Tue, 15 Oct 2024 10:10:10 +0800

kare (2.3.1.11) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      TASK:#365617 桌面系统安装了todesk、向日葵、浩辰CAD等软件，升级完成后这些软件无法打开，而且右击打开终端也无反映
      1. 复制kare-apt.py到/usr/bin，解决ok2安装失败问题
      2. 解决v10 useradd问题  部分运行问题
      3. 处理desktop文件为链接文件的情况
      4. 增加兼容环境构建dbus接口以及进度信号
      5. 解决v10 -f报错
      6. 解决编码报错
      7. 解决docker服务被kill问题
      8. 修复kare-apt.py依赖问题
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Thu, 10 Oct 2024 14:51:31 +0800

kare (2.3.1.10) v101; urgency=medium

  * BUG:
      #197242【V10跨版本升级SP1】【应用迁移测试】升级后无法打开音频转换器
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 13 Sep 2024 14:31:05 +0800

kare (2.3.1.9) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 解决运行时时候有grep失败的问题
      2. 解决部分应用阻塞问题，过滤音频 视频 图片 字体库等文件
      3. 解决dlopen依赖的问题
      4. 优化python依赖获取问题
      5. 解决软连接问题
      6. 扩充apt黑名单
      7. 解决ldd检测出来的依赖问题
      8. 解决因缺少/root/.bashrc文件导致安装失败的问题
      9. 优化启动命令中的空格逻辑
      10. 解决kare -f 卡死的问题
      11. 修改可能的崩溃问题(terminator)
      12. 添加安装白名单，解决版本获取时部分应用结尾存在异常问题
      13. file 仅处理ELF与python文件
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 13 Sep 2024 09:26:40 +0800

kare (2.3.1.8) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 支持构建ubuntu2404
      2. 解决qt相关gles依赖冲突问题
      3. 解决steam安装失败问题
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 02 Sep 2024 15:38:08 +0800

kare (2.3.1.7) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 解决应用部分依赖补全不成功问题，解决kare-apt安装异常退出返回值不正确问题
      2. 增加应用退出后关闭容器配置选项
      3. 解决依赖安装失败问题、解决依赖安装版本异常问题
      4. system环境变量仅对ok2生效
      5. 【升级】处理文件名称中的括号问题
      6. 容器关闭方案调研，多进程问题收敛，完善应用关闭后容器退出逻辑
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 23 Aug 2024 09:19:26 +0800

kare (2.3.1.6) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 修改软连接目录，去除bin sbin软连接
      2. 补充ok1基础环境
      3. 增加-f提示
      4. 补充SP1 V10依赖包
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 14 Aug 2024 17:26:59 +0800

kare (2.3.1.5) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 解决应用偶尔正常偶尔段错误的问题
      2. 解决 python module not found error 报错
      3. 修改安装方案，通过python脚本安装deb包
      4. kare默认运行路径更改为用户主目录
      5. 解决服务类应用由于systemctl执行失败导致安装及运行失败问题
      6. 处理Exec空格及引号导致的启动失败问题
      7. 新增kare -f接口,修复软件包的运行依赖
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Tue, 13 Aug 2024 11:07:37 +0800

kare (2.3.1.4) nile; urgency=medium

  * BUG:
      #IAH4BA【严重】【不可变系统】【安装器】【KARE】双击安装deb包安装失败
      #IAGV0G【严重】【不可变系统】【软件商店】【Kare】deb包安装失败
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 05 Aug 2024 09:31:15 +0800

kare (2.3.1.3) nile; urgency=medium

  * BUG:
      #I9JVMZ【KARE】【需求 25080】部分kare应用安装时报错，保错后仍为已安装的状态，dpkg -l显示状态为iU
      #IAGBJM【次要】【openkylin1.0跨版本升级openkylin2.0】【系统兼容】升级后，QQ浏览器以兼容模式打开的记住此模式不生效
  * 需求号:无
  * 其他改动说明:
      1. 支持终端应用
      2. 处理X Error运行问题
      3. 优化空格处理逻辑
      4. 解决不可变系统安装失败的问题
      5. 解决postinst中包含systemctl命令导致安装失败的问题
      6. 增加USER和BROWSER环境变量
  * 其他改动影响域:
      1. kare安装、运行软件包

 -- zhanglin <zhanglin@kylinos.cn>  Thu, 01 Aug 2024 16:20:10 +0800

kare (2.3.1.2) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 解决安装失败 - postinst问题
      2. 解决运行失败 - 找不到运行文件
      3. 解决应用关闭后段错误的问题
      4. 同时运行多个KARE应用,解决只会关闭最后一个应用容器的问题
      5. 【升级】百度网盘、QQ浏览器记住兼容模式失效
  * 其他改动影响域:
      1. kare安装、运行软件包

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 29 Jul 2024 10:32:50 +0800

kare (2.3.1.1) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:【换机助手】联调
  * 其他改动影响域:【换机助手】【跨版本升级】kare的使用

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 17 Jul 2024 10:28:52 +0800

kare (2.3.1.0) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 应用关闭后stop相关容器
      2. 解决pulseaudio升级报错问题
      3. 解决ok1构建失败问题
      4. 增加运行时日志文件
      5. 处理同名软件包安装逻辑
      6. 处理postinst因少包、部分指令无效等导致的安装失败问题
  * 其他改动影响域:
      1. kare整体

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 15 Jul 2024 13:55:58 +0800

kare (2.3.0.14) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1.【升级】解决多用户桌面文件不被处理问题
  * 其他改动影响域:
      1.【升级】kare运行

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 05 Jul 2024 11:06:37 +0800

kare (2.3.0.13) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1.【升级】解决多用户桌面文件不被处理问题
  * 其他改动影响域:
      1.【升级】kare运行

 -- zhanglin <zhanglin@kylinos.cn>  Thu, 04 Jul 2024 09:09:01 +0800

kare (2.3.0.12) v101; urgency=medium

  * BUG:
      #235777 【V10-0710跨版本在线升级SP1-2303】升级后第二个用户无法打开wps
      #235546 【V10-0710-2跨版本在线升级SP1-2303】升级后网络功能异常，无法使用百度
      #235584 【V10-2101跨版本在线升级SP1-2303】第三方应用迁移--奔图设备管理应用软件打不开
      #228035 【V10-2101跨版本升级SP1-2403】【福建检察院】离线升级后连接有线或无线网络，使用奇安信浏览器无法访问网站
      #235576 【V10-2101跨版本在线升级SP1-2303】升级上去的系统，其他用户不能打开数科PDF阅读器
      #235311 【V10-2107跨版本在线升级SP1-2303】升级后第二个用户奇安信可信浏览器无法打开
  * 需求号:无
  * 其他改动说明:
      1.【不可变】环境变量和服务路径设置安装到指定位置
      2.【不可变】修正不可变系统中/etc路径下文件安装路径
      3. 修正构建环境时部分文件路径错误的问题
  * 其他改动影响域:
      1. 不可变系统中kare应用的使用
      2. kare构建兼容运行环境

 -- zhanglin <zhanglin@kylinos.cn>  Tue, 02 Jul 2024 11:52:32 +0800

kare (2.3.0.11) v101; urgency=medium

  * BUG:
      #IA6O67【KARE】v10 blender无法启动
      #IA6O1S【KARE】v10 sp1应用kamoso安装提示依赖冲突
  * 需求号:无
  * 其他改动说明:
        1. 解决安装软件包时的交互问题
        2. 修改dockerAgent run命令
        3. 解决paluseaudio问题
        4. bwrap功能适配
  * 其他改动影响域:
        1. kare的安装运行功能

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 24 Jun 2024 09:46:31 +0800

kare (2.3.0.10) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
        1. 解决openkylin 2.0 ca-certificates配置问题
        2. 解决groupadd失败导致依赖安装失败问题
        3. v10、sp1扩展基础环境jackd2、procps
        4. SP1 添加 DEB 源
  * 其他改动影响域:
        1. kare在openkylin 2.0系统上的使用

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 14 Jun 2024 09:12:57 +0800

kare (2.3.0.9) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
        1. 移除 flatpak 强制性依赖
        2. 移除软件包命名格式硬性要求
  * 其他改动影响域:
        1. kare IPC/RPC
        2. kare 安装软件包

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 10 Jun 2024 15:00:23 +0800

kare (2.3.0.8) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:处理kare在mips架构上安装虚包失败问题
  * 其他改动影响域:kare在mips架构上的使用

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 07 Jun 2024 14:19:00 +0800

kare (2.3.0.7) nile; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
        1. 修改运行依赖关系
        2. 修复卸载软件包后桌面desktop文件未移除的问题
  * 其他改动影响域:
        1. kare软件包的安装
        2. kare卸载功能

 -- zhanglin <zhanglin@kylinos.cn>  Thu, 06 Jun 2024 16:20:19 +0800

kare (2.3.0.6) nile; urgency=medium

  * BUG:
      #I9UWNX【不可变系统】【软件商店】通过商店安装某个应用后再卸载，之后重新安装无法打开该应用
  * 需求号:无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 05 Jun 2024 18:08:51 +0800

kare (2.3.0.4) nile; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明: dbus-proxy使用二进制文件
  * 其他改动影响域: kare的使用

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 05 Jun 2024 17:08:51 +0800

kare (2.3.0.3) nile; urgency=medium

  * BUG:
      #I9UO3A【不可变系统】【KARE】【软件商店】安装应用后应用图标显示无icon
      #I9U1SL【不可变系统】【KARE】【重要】【需求 28051】通过KARE安装的应用调用宿主机的应用失败
  * 需求号:无
  * 其他改动说明: 
        1. 修改umount卸载逻辑
        2. 避免修改系统指令
  * 其他改动影响域: kare的使用

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 05 Jun 2024 09:58:36 +0800

kare (2.3.0.2) nile; urgency=medium

  * BUG:
      #I9TYJB【不可变系统】【KARE】【软件商店】需要手动构建环境后才可以从软件商店成功安装应用
      #I9TOIU【不可变系统】【kare】不可变系统已安装v10应用后仍可安装v10sp1环境相同应用
  * 需求号:无
  * 其他改动说明: 无
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 03 Jun 2024 16:09:37 +0800

kare (2.3.0.1) nile; urgency=medium

  * BUG:
      #I9TYA4【不可变系统】【KARE】重启系统后无法登录进入系统
      #I9U2PI【不可变系统】【KARE】【重要】【需求 28058】通过kare安装的应用，不支持使用系统通知接口
      #I9U1FY【不可变系统】【KARE】【需求 28052】 文件打开方式中无kare应用可选择
      #I9U197【不可变系统】【KARE】parole安装后无法启动
      #I9TYJB【不可变系统】【KARE】【软件商店】需要手动构建环境后才可以从软件商店成功安装应用
      #I9TY1Y【不可变系统】【KARE】通过KARE安装的应用，无法通过命令行形式对宿主机的Gsettings设置
      #I9TXTX【不可变系统】【需求 28050】【KARE】依赖指定dbus应用音频转换器soundconverter安装后无法启动
      #I9TZQC【不可变系统】【KARE】【X】火焰截图右键任务栏托盘图标窗口显示位置错误
      #I9TZPI【不可变系统】【KARE】【次要】xpad应用安装后，左键单击托盘内小图标无反应，右键弹出窗口默认置顶
      #I9TZDY【不可变系统】【KARE】【次要】kare装完的应用，双击桌面快捷方式打开，提示快捷方式有问题
  * 需求号:无
  * 其他改动说明: 
      1. 增加kare -S接口
  * 其他改动影响域:kare编包

 -- zhanglin <zhanglin@kylinos.cn>  Sat, 01 Jun 2024 16:18:06 +0800

kare (2.3.0.0) nile; urgency=medium

  * BUG:无
  * 需求号:
        #222875 【KARE】kare适配不可变系统 - 针对不可变系统特性适配安装软件包功能，包括软件商店安装、安装器安装和命令行安装
        #222876 【KARE】kare适配不可变系统 - 针对不可变系统特性适配卸载软件包功能，包括软件商店卸载、安装器卸载和命令行卸载
        #222877 【KARE】kare适配不可变系统 - 针对不可变系统特性设计软件包资源管理方案
        #222878 【KARE】kare适配不可变系统 - 针对不可变系统特性适配运行环境构建
        #222879 【KARE】kare适配不可变系统 - 针对不可变系统特性适配软件包运行功能，包括点击图标运行与命令行运行
        #222880 【KARE】kare适配不可变系统 - 针对不可变系统特性适配系统服务自启动功能
        #222881 【KARE】kare适配不可变系统 - 针对不可变系统特性适配应用自启动功能，包括宿主机控制面板设置自启动和应用偏好设置中的自启动
        #222881 【KARE】kare适配不可变系统 - 针对不可变系统特性适配dbus服务自启动功能，包括session bus和system bus
        #222883 【KARE】kare适配不可变系统 - 针对不可变系统特性适配kare与宿主机的mime关联
        #222884 【KARE】kare适配不可变系统 - 针对不可变系统特性适配kare与宿主机的gsettings共享
        #222885 【KARE】kare适配不可变系统 - kare适配不可变系统 - 针对不可变系统特性适配kare与宿主机的dbus服务共享
  * 其他改动说明: 
        1. 解决dbus报错,增加环境变量
        2. 修改编译错误
        3. 增加ok2基础环境构建
        4. 新增kare通过dbus安装、卸载软件包接口
        5. 不可变系统适配
        6. 增加配置文件，修改$PATH $修改XDG_DATA_DIR
  * 其他改动影响域:kare编包

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 29 May 2024 13:55:00 +0800

kare (2.2.4.8) nile; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:解决ok闭源软件编译平台编译失败问题
  * 其他改动影响域:kare编包

 -- zhanglin <zhanglin@kylinos.cn>  Tue, 21 May 2024 10:21:38 +0800

kare (2.2.4.7) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:【升级】修复工信部-wps软件打开失败
  * 其他改动影响域:【升级】kare的使用

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 15 May 2024 14:58:05 +0800

kare (2.2.4.6) v101; urgency=medium

  * BUG:
      #I9OCUZ【KARE】【需求 28056】wayland环境安装的应用无法启动
  * 需求号:无
  * 其他改动说明:
      1. 禁止覆盖系统原有软件包
      2. 支持场景: dbus域名冲突时
  * 其他改动影响域:
      1. kare软件安装、运行

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 15 May 2024 14:22:06 +0800

kare (2.2.4.4) v101; urgency=medium

  * BUG:
      #I9JU3H【KARE】【需求 28050】多个v10应用安装失败，提示错误
      #I9JTCQ【KARE】【需求 28050】指定dbus应用soundconventer安装失败
      #I9IWZY【KARE】【需求 28050】已安装v10应用后无法启动应用
      #I9KEBS【KARE】【需求 28054】无法通过设置-开机自启页面选择kare应用
      #I9JXH0【KARE】【wayland】wayland下无法启动parole媒体播放器
      #I9JU8A【KARE】【需求28051】部分应用点击链接不会跳转系统浏览器
  * 需求号:
      #28054 通过kare安装的应用，支持服务注册、登录自启动等功能
      #28055 通过kare安装的应用，支持调用修改宿主机Gsettings访问
      #28056 通过kare安装的应用，支持使用wayland协议启动
      #28057 通过kare安装的应用，支持托盘协议的转换
		  #28058 通过kare安装的应用，支持使用系统通知接口
  * 其他改动说明:
      1. 禁止安装不同版本软件包
      2. 【升级】适配V7
      3. 软件包安装时，解决配置文件冲突时情况
  * 其他改动影响域:
      1. kare软件安装
      2. 【升级】兼容环境的选择和使用

 -- zhanglin <zhanglin@kylinos.cn>  Thu, 09 May 2024 19:49:01 +0800

kare (2.2.3.3-dev) v101; urgency=medium

  * BUG:
      #I9IWUH【KARE】【需求 28050】构建Ubuntu环境失败
      #I9IWW9【KARE】【需求 28050】构建v10sp1环境报错
      #I9IWZY【KARE】【需求 28050】已安装v10应用后无法启动应用
  * 需求号:无
  * 其他改动说明:
      1. 装包失败时输出报错信息
  * 其他改动影响域:
      1. 无

 -- zhanglin <zhanglin@kylinos.cn>  Tue, 23 Apr 2024 16:10:48 +0800

kare (2.2.3.2-dev) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:TASK: #212085 修复工信部-升级后软件打开异常
  * 其他改动影响域:升级场景中kare的整体使用

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 22 Apr 2024 14:03:44 +0800

kare (2.2.3.1) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 增加网络连通性检测
      2. 支持运行依赖中的dbus
      3. 修改kare后缀位置
      4. 支持应用开机自启功能
  * 其他改动影响域:
      1. kare整体

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 19 Apr 2024 14:15:31 +0800

kare (2.2.3.0) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 调整虚包中kare后缀位置
      2. 非升级场景功能拓展
  * 其他改动影响域:
      1. 升级场景中的虚包管理
      2. 非升级场景kare功能

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 17 Apr 2024 15:49:49 +0800

kare (2.2.2.1) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 修复mips编译不通过问题
      2. 修复V10环境不能用问题
      3. 补充README和帮助信息
      4. 优化构建镜像时的逻辑
  * 其他改动影响域:

 -- zhanglin <zhanglin@kylinos.cn>  Thu, 11 Apr 2024 14:12:20 +0800

kare (2.2.2.0) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 增加bwrap逻辑
      2. 打通xdg-open关联调用
      3. 容器间编译依赖调整或关系
      4. kare支持命令补全
      5. 支持MIME协议调用
      6. 支持多可执行文件软件包安装
      7. 动态挂载DISPLAY
      8. 支持构建ubuntu2204
      9. lp平台编译通用包
      10. 适配网页版应用
      11. 解决麦克风，扬声器无法使用问题
      12. 解决kare在安装应用时因-S读不到密码安装失败问题
      13. 升级场景时关闭安全中心签名认证,策略cp -> ln
      14. build-env增加python3
      15. 包名过滤%
      16. SP1基础环境增加源地址
      17. init-entrypoint
      18. 当系统存在同名可执行文件时,等待时间设置为5秒,不应答默认替换
      19. 装包时暂时取消依赖检测（有问题且慢）
      20. sp1添加ca-certificates包
  * 其他改动影响域:
      1. 非升级场景中kare的整体功能

 -- zhanglin <zhanglin@kylinos.cn>  Sat, 06 Apr 2024 14:44:31 +0800

kare (2.2-0update8) v101; urgency=medium

  * BUG:
      #220346 【V10跨版本升级SP1-2303】【系统更新】迁移后部分第三方应用无法打开
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 01 Apr 2024 09:24:45 +0800

kare (2.2-0update7) v101; urgency=medium

  * BUG:
      #219422 【V10跨版本升级SP1-2303】【系统升级】升级后无法从开始菜单、任务栏、桌面快捷方式打开奇安信浏览器
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 29 Mar 2024 14:01:15 +0800

kare (2.2-0update6) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:升级场景适配英文系统
  * 其他改动影响域:kare升级场景在英文系统中的运行

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 25 Mar 2024 11:04:39 +0800

kare (2.2-0update5) v101; urgency=medium

  * BUG:
      #216710 【V10跨版本升级SP1-2403】离线升级后，第三方应用兼容设置里的应用均无法打开
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Thu, 21 Mar 2024 09:31:24 +0800

kare (2.2-0ok2update4) nile; urgency=medium

  * BUG:
      #I8N1RZ 【主要】【系统兼容】planner、evolution安装失败
  * 需求号:无
  * 其他改动说明:
      1. 增加mips架构包
      2. 过滤软件包名中的波浪线
      3. 扩展Icon搜索路径
  * 其他改动影响域:
      1. mips架构上的兼容包安装
      2. kare安装软件包功能
      3. kare安装完软件包后的Icon图标

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 08 Mar 2024 15:15:49 +0800

kare (2.2-0ok2update3) nile; urgency=medium

  * BUG:
      #I8MM9K 【次要】【优麒麟2204跨版本升级到openkylin2.0】茄子摄像头勾选记住兼容环境不生效
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Thu, 29 Feb 2024 10:26:11 +0800

kare (2.2-0ok2update2) nile; urgency=medium

  * BUG:
      #I8K2Q2 【主要】【需求24655】【跨版本升级】永中office创建的文件无法打开
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 28 Feb 2024 15:03:35 +0800

kare (2.2-0ok2update1) nile; urgency=medium

  * BUG:
      #I8N1RK 【不重要】【系统兼容】cheese安装后在桌面生成2个一样的快捷方式
      #I8MR0B 【次要】【优麒麟2204跨版本升级到openkylin2.0】兼容环境名称不正确
  * 需求号:无
  * 其他改动说明:
      1. 正则过滤软件包字符串,避免软件包名称中的特殊字符影响安装
      2. 代码美化
      3. 【自测】解决升级时迁移服务失败问题
      4. 【自测】解决升级时虚包管理问题、多次调用脚本存在的问题、保留Exec选项值
      5. 【自测】解决与升级联调中的若干问题
      6. 适配 fs.old-xx 裁剪后场景
  * 其他改动影响域:
      1. kare安装功能
      2. 升级场景的兼容功能

 -- zhanglin <zhanglin@kylinos.cn>  Tue, 27 Feb 2024 14:19:17 +0800

kare (2.0-0ok2update7) nile; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 增删编译依赖
      2. 支持注册运行session dbus
  * 其他改动影响域:

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 24 Jan 2024 15:48:29 +0800

kare (2.0-0ok2update6) nile; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 解决kare安装的应用的icon问题
      2. 解决换机过程中kare命名被修改问题
  * 其他改动影响域:升级场景和换机场景的兼容运行

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 05 Jan 2024 17:15:09 +0800

kare (2.0-0ok2update5) nile; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      1. 升级或换机的应用可实现长期运行/非长期运行
      2. 为实现上述功能，升级、换机的应用执行策略被重构
  * 其他改动影响域:升级场景和换机场景的兼容运行

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 27 Dec 2023 14:15:55 +0800

kare (2.0-0ok2update4) nile; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      0. 全场景kare与dpkg双向管理
      1. 安装到kare环境中的应用实现长期运行
      2. 全场景虚包安装时dpkg锁处理
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Thu, 21 Dec 2023 09:48:30 +0800

kare (2.0-0ok2update3) nile; urgency=medium

  * BUG:
      #I8NDEY 【优麒麟2204跨版本升级到openkylin2.0】升级后第三方软件无法打开
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Tue, 12 Dec 2023 15:29:22 +0800

kare (2.0-0ok2update2) yangtze; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      修改版本代号
  * 其他改动影响域:无

 -- zhouhuazhi <zhouhuazhi@kylinos.cn>  Mon, 11 Dec 2023 10:22:50 +0800

kare (2.0-0ok2update1) yangtze; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      适配 openkylin2.0 alpha
  * 其他改动影响域:无

 -- zhouhuazhi <zhouhuazhi@kylinos.cn>  Thu, 30 Nov 2023 15:18:02 +0800

compatible-layer (1.0-12) v101; urgency=medium

  * BUG:无
  * 需求号:无
  * 其他改动说明:
      适配openKylin文件系统特性
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Tue, 14 Nov 2023 09:28:30 +0800

compatible-layer (1.0-11) v101; urgency=medium

  * BUG:
      #197242 【V10跨版本升级SP1】【应用迁移测试】升级后无法打开音频转换器
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 23 Oct 2023 15:06:42 +0800

compatible-layer (1.0-10) v101; urgency=medium

  * BUG:
      #197384 【V10跨版本升级SP1】【应用迁移测试】升级前从未打开过360安全浏览器，升级后360安全浏览器打不开
  * 需求号:无
  * 其他改动说明:把挂载的部分/fs.old目录由只读权限，更改为读写权限
  * 其他改动影响域:迁移应用对于挂载目录的操作权限

 -- zhanglin <zhanglin@kylinos.cn>  Tue, 17 Oct 2023 15:05:48 +0800

compatible-layer (1.0-9) v101; urgency=medium

  * BUG:
      #196176 【V10跨版本升级SP1】【系统还原】还原回老V10后设置迁移的第三应用无法打开
      #196014 【V10跨版本升级SP1】【应用迁移测试】升级前可以打开gimp，升级后无法打开
      #196017 【V10跨版本升级SP1】【应用迁移测试】升级前安装福昕OFD版式办公套件，升级后应用无法打开
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 11 Oct 2023 09:05:10 +0800

compatible-layer (1.0-8) v101; urgency=medium

  * 架构调整，方案合并，通过gsettings进行调度
  * 引入docker agent
  * 引入kare命令行工具
  * 修复若干自测Bug
  * 适用于amd64和arm64架构

 -- zhanglin <zhanglin@kylinos.cn>  Wed, 04 Oct 2023 16:39:47 +0800

compatible-layer (1.0-4) v101; urgency=medium

  * 修复自测bug：若Exec为bash xxx.sh,则需要处理
  * 修复自测bug：修改右键，匹配bwrap方案

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 25 Sep 2023 15:18:04 +0800

compatible-layer (1.0-3) v101; urgency=medium

  * 接口名buildDockerEnv.sh更改为buildCompatibilityEnv.sh，名称具有普适性
  * 采用bwrap方案替代docker方案

 -- zhanglin <zhanglin@kylinos.cn>  Mon, 18 Sep 2023 10:03:45 +0800

compatible-layer (1.0-2) v101; urgency=medium

  * postins更改为buildDockerEnv.sh 用于部署docker环境及修改Desktop Exec字段
  * docker容器名称，由appName更改为Exec的md5值

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 04 Aug 2023 16:34:30 +0800

compatible-layer (1.0-1) v101; urgency=medium

  * 第一版 CLI Deb：提供peony插件用于鼠标右键增加兼容选项；提供docker部署脚本；提供兼容模式运行脚本

 -- zhanglin <zhanglin@kylinos.cn>  Fri, 04 Aug 2023 10:26:46 +0800
